#!perl -w

# This script copies source and test suite from pc to linux cluster

# bring in the perl module that includes copy
use File::Copy;

# do we want to check timestamp? 
$lgCheckTime=1;

# the root dir where the unix files will live on my pc
#$local_unix_main_dir = "c:/projects/cloudy/trunk/unix";

# this is the last source.tar.gz, will compare this time stamp with debug exe
# and bail if tar file is younger than exe
$local_unix_sourcetar = "c:/projects/cloudy/trunk/unix/source.tar.gz";

# this is the current debug exe, will bail out if $local_unix_source_dir/source.tar.gz source
# is younger than this
$original_exe = "c:/projects/cloudy/trunk/debug/current.exe";

# now compare ages of debug exe and last source.tar.gz, and bail if
# debug has not been updated
if( $lgCheckTime && (-M $local_unix_sourcetar) < (-M $original_exe ) )
{
      # no need to run tests, just quit
      exit;
}


# this is where the scripts live
$scripts = "c:/projects/cloudy/trunk/scripts";

# now do the test suite 
chdir( "$scripts" ) or die "invalid directory for scripts\n";

# execute source script
system( "perl copy_source.pl" );

# execute copy tsuite script
system( "perl copy_tsuite.pl" );

# execute source script
system( "perl copy_data.pl" );

